#!/usr/bin/env bash

set -e
source $(dirname $0)/env.sh

cd $LUNA_ROOT

SOURCES=($(find kernel/src -type f | grep -v "\.asm" | grep -v "bootboot.h"))
SOURCES+=($(find luna -type f | grep -v "CMakeLists.txt" | grep -v "Types.h"))

for f in ${SOURCES[@]}
do
    sed -i 's/uint8_t/u8/g' $f
    sed -i 's/uint16_t/u16/g' $f
    sed -i 's/uint32_t/u32/g' $f
    sed -i 's/uint64_t/u64/g' $f

    sed -i 's/int8_t/i8/g' $f
    sed -i 's/int16_t/i16/g' $f
    sed -i 's/int32_t/i32/g' $f
    sed -i 's/int64_t/i64/g' $f

    sed -i 's/size_t/usize/g' $f
    sed -i 's/ssize_t/isize/g' $f
done